Bug 50986 - xtest fails to execute tests on a source tree with spaces
xtest fails to execute tests on a source tree with spaces
Status: CLOSED FIXED
Product: obsolete
Classification: Unclassified
Component: xtest
4.x
PC Windows XP
: P3 (vote)
: 4.x
Assigned To: issues@obsolete
issues@obsolete
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-29 21:41 UTC by Jan Chalupa
Modified: 2006-03-24 09:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Patch (1.17 KB, patch)
2004-10-29 21:43 UTC, Jan Chalupa
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Chalupa 2004-10-29 21:41:43 UTC
[custom build of 20041029 sources; JDK 1.4.2_04]

I've been running into this for months, but 
never get to report it. Xtest fails to execute 
tests on the NB source tree if it's checked out 
into a path with spaces. Both 'buildfile' 
and 'logfile' arguments passed to the test 
executor are corrupted and the tests cannot be 
run.

I'll attach a simple patch shortly. It works for 
me on Windows, but I haven't tested in on Unix, 
so am not sure of the extra quoting works there 
too.
Comment 1 Jan Chalupa 2004-10-29 21:43:16 UTC
Created attachment 18614 [details]
Patch
Comment 2 Jiri Skrivanek 2004-11-08 13:28:10 UTC
Thanks for contribution. The patch applied and tested on windows and
solaris.

/cvs/xtest/src/org/netbeans/xtest/NbExecutor.java,v  <--  NbExecutor.java
new revision: 1.24; previous revision: 1.23
Comment 3 Jan Chalupa 2005-05-12 10:21:02 UTC
Works ok now. Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo